$(document).ready(function() {

		if ($("#forgot-password").length !=0 ) {

			if (!($(".widget-users-recover").length || $(".module-users-recover").length)) {
				$("#forgot-password").remove();
			}
		}

		$("#forgot-password").click(function(){

			if ($(".widget-users-login").length){
				$(".widget-users-login").slideUp();
				$(".widget-users-recover").slideDown();
			} else {
				$(".module-users-login").slideUp();
				$(".module-users-recover").slideDown();
			}

			return false;
		});

		$("#forgot-password-close").click(function(){

			if ($(".widget-users-login").length){
				$(".widget-users-login").slideDown();
				$(".widget-users-recover").slideUp();
			} else {
				$(".module-users-login").slideDown();
				$(".module-users-recover").slideUp();

			}

			return false;
		});

		$(".widget-users-login").siblings(".widget-users-recover").hide();
		$(".module-users-login").siblings(".module-users-recover").hide();


		$(document).on(
			"click" , 
			"a[href=link-module-users-reconfirm]",
			function(e) {
				e.preventDefault();

				
				var form = $(this).closest("form");
				var email = form.find("input[name=email]").val();

				$.ajax({
					url:"ajax.resend.php?lang=" + ($("html").attr("lang") || "en"),
					type:"post",
					data:"email=" + email,
				}).done(function(msg){

					form.find(".responsebox").html(msg);
				});
		});


});